import { r as DexConfig } from "./types.openclaw-Brl_kTLA.js";
import { a as XiaomiTokenPlanRegion } from "./provider-catalog-Hib6tQs7.js";

//#region extensions/xiaomi/onboard.d.ts
declare const XIAOMI_DEFAULT_MODEL_REF = "xiaomi/mimo-v2-flash";
declare const XIAOMI_TOKEN_PLAN_DEFAULT_MODEL_REF = "xiaomi-token-plan/mimo-v2.5-pro";
declare function applyXiaomiProviderConfig(cfg: DexConfig): DexConfig;
declare function applyXiaomiConfig(cfg: DexConfig): DexConfig;
declare function applyXiaomiTokenPlanProviderConfig(cfg: DexConfig, region: XiaomiTokenPlanRegion): DexConfig;
declare function applyXiaomiTokenPlanConfig(cfg: DexConfig, region: XiaomiTokenPlanRegion): DexConfig;
//#endregion
export { applyXiaomiTokenPlanConfig as a, applyXiaomiProviderConfig as i, XIAOMI_TOKEN_PLAN_DEFAULT_MODEL_REF as n, applyXiaomiTokenPlanProviderConfig as o, applyXiaomiConfig as r, XIAOMI_DEFAULT_MODEL_REF as t };